<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li><a th:href="@{/admin/home}"><i class="fa fa-dashboard"></i> Dashboard</a></li>
    <li><a th:href="@{/admin/management/user/}"><i class="fa fa-users"></i>[[#{page.title.management.user}]]</a></li>
    <li class="active">[[#{label.password.change}]]</li>
</ol>
<div th:fragment="content">
    <div class="panel-body">
        <div th:if="${errorMessage != null}" class="alert alert-danger alert-block fade in">
            <button data-dismiss="alert" class="close close-sm" type="button">
                <i class="icon-remove"></i>
            </button>
            <h4><i class="fa fa-times"></i>[[#{label.error}]]</h4>
            <p th:text="${errorMessage}"></p>
        </div>
        <div th:if="${okMessage != null}" class="alert alert-success alert-block fade in">
            <button data-dismiss="alert" class="close close-sm" type="button">
                <i class="icon-remove"></i>
            </button>
            <h4><i class="fa fa-times"></i>[[#{label.success}]]</h4>
            <p th:text="${okMessage}"></p>
        </div>
        <form id="form" role="form" class="form-horizontal tasi-form" th:object="${data}" th:action="@{/admin/management/user/change-password/} + ${data.id}" method="POST">
            <input id="id" th:field="*{id}" required="required" maxlength="36" hidden="true" readonly="true"/>
            <input id="rowVersion" th:field="*{rowVersion}" required="required" maxlength="50" hidden="true" readonly="true"/>
            <div class="form-group">
                <label class="col-lg-2 control-label">[[#{label.username}]]</label>
                <label class="col-lg-6 control-label">[[*{username}]]</label>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">[[#{label.name}]]</label>
                <label class="col-lg-6 control-label">[[*{name}]]</label>
            </div>
            <div class="form-group" th:classappend="${#fields.hasErrors('newPassword')} ? ' has-error'">
                <label for="newPassword" class="col-lg-2 control-label">[[#{label.password.new}]]</label>
                <div class="col-lg-6">
                    <input type="password" id="newPassword" class="form-control" th:field="*{newPassword}" autofocus="true" required="required" maxlength="255"/>
                    <span class="help-block"  th:if="${#fields.hasErrors('newPassword')}" th:errors="*{newPassword}"></span>
                </div>
            </div>
            <div class="form-group" th:classappend="${#fields.hasErrors('confirmPassword')} ? ' has-error'">
                <label for="confirmPassword" class="col-lg-2 control-label">[[#{label.password.confirmation}]]</label>
                <div class="col-lg-6">
                    <input type="password" id="confirmPassword" class="form-control" th:field="*{confirmPassword}" autofocus="true" required="required" maxlength="255"/>
                    <span class="help-block"  th:if="${#fields.hasErrors('confirmPassword')}" th:errors="*{confirmPassword}"></span>
                </div>
            </div>
            <div class="form-group">
                <div class="col-lg-offset-2">
                    <button class="btn btn-success">[[#{label.save}]]</button>
                    <a th:href="@{/admin/management/user}" class="btn btn-danger">[[#{label.cancel}]]</a>
                </div>
            </div>
        </form>
        <div class="modal fade" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-sm" role="document">
                <div class="modal-content">
                    <div class="modal-body">
                        <p th:with="name=${#strings.toLowerCase('__#{label.password}__')}">
                            [[#{message.modal.save.confirmation(${name})}]]
                        </p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" id="submit-form" data-dismiss="modal">[[#{label.yes}]]</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">[[#{label.no}]]</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div th:fragment="css"></div>
<div th:fragment="js" th:remove="tag">
    <script type="text/javascript" th:inline="javascript">
        $(document).ready(function() {
            $('form').validate({
                messages:{
                    newPassword:{
                        maxlength:/*[[#{field.error.maxlength(${'__#{label.password.new}__'.toLowerCase()},50)}]]*/'',
                        required:/*[[#{field.error.required(${'__#{label.password.new}__'.toLowerCase()})}]]*/''
                    },
                    confirmPassword:{
                        maxlength:/*[[#{field.error.maxlength(${'__#{label.password.confirmation}__'.toLowerCase()},50)}]]*/'',
                        required:/*[[#{field.error.required(${'__#{label.password.confirmation}__'.toLowerCase()})}]]*/''
                    }
                },
                rules:{
                    newPassword:{
                        maxlength:50,
                        required:true
                    },
                    confirmPassword:{
                        maxlength:50,
                        required:true
                    }
                },
                highlight:function(element){
                    $(element).closest('.form-group').addClass('has-error');
                },
                unhighlight:function(element){
                    $(element).closest('.form-group').removeClass('has-error');
                },
                errorElement:'span',
                errorClass:'help-block',
                errorPlacement:function(error,element){
                    if(element.parent('.input-group').length){
                        error.insertAfter(element.parent());
                    }else{
                        error.insertAfter(element);
                    }
                },
                submitHandler:function(form){
                    $('div.modal').modal('show');
                    $('#submit-form').click(function(){
                        form.submit();
                    });
                }
            });
        });
    </script>
</div>
</html>